5.5.2 Browser with 5.5.1 vulnerability [CFW required]

Discussion in 'Wii U - Tutorials' started by Create_, Aug 11, 2017.

  1. pwsincd

    pwsincd Garage Flower

    Member
    3,320
    1,711
    Dec 4, 2011
    Manchester UK
    hashes of files
     


  2. Razor83

    Razor83 GBAtemp Regular

    Member
    277
    73
    Dec 23, 2009
    Right, but whats checking for the hashes, and where are they stored?
     
  3. jbuck1975

    jbuck1975 GBAtemp Advanced Fan

    Member
    870
    183
    Dec 28, 2015
    United States
    I tried this and it didn't work. The first go at it worked but Homebrew launcher froze up. rebooted wii u and the browser was like it was in 5.5.2, it tired loading file but gave error message to reload page.
     
  4. Create_
    OP

    Create_ GBAtemp Regular

    Member
    101
    64
    Jul 10, 2017
    United States
    (insert wacky and amusing place here)
    If you followed this guide exactly how I made it, you'd know that after you've done the file transfers, you're supposed to restart your Wii U. After copying and overwriting mvplayer.rpl with the older version of it, leave FTPiiU Everywhere, then turn your console off, and turn it back on to keep the browser at 5.5.1 mode. That's the fix for your issue.

    — Posts automatically merged - Please don't double post! —

    upload_2017-8-12_23-35-14.png
     
  5. jbuck1975

    jbuck1975 GBAtemp Advanced Fan

    Member
    870
    183
    Dec 28, 2015
    United States
    I'll try again
     
  6. Create_
    OP

    Create_ GBAtemp Regular

    Member
    101
    64
    Jul 10, 2017
    United States
    (insert wacky and amusing place here)
    Make sure you restart it after you do the FTPiiU Everywhere file transfers. I don't care how easy it is to just launch the Internet Browser right after, if you do it will not work.
    Reply once you try again, and tell me the results please.
     
  7. jbuck1975

    jbuck1975 GBAtemp Advanced Fan

    Member
    870
    183
    Dec 28, 2015
    United States
    powered it down. restarted it and it worked. had to clear cookies. tried a second time after powering down and it worked again.

    funny thing is I tried this on my own after the update came out, but I didn't power down the console before launching browser.
    Thanks for your work
     
  8. Create_
    OP

    Create_ GBAtemp Regular

    Member
    101
    64
    Jul 10, 2017
    United States
    (insert wacky and amusing place here)
    It's no issue. I'm glad I could help.
     
  9. EmanueleBGN

    EmanueleBGN GBAtemp Advanced Fan

    Member
    720
    353
    Jul 22, 2015
    Italy
    So, if I already have Haxchi, there is no real advantage in following this method. It's more useful for users who coldboot a CFW
     
  10. Create_
    OP

    Create_ GBAtemp Regular

    Member
    101
    64
    Jul 10, 2017
    United States
    (insert wacky and amusing place here)
    The advantage is that you can use browser only things, but if you don't know any, it's very useless. If you like the browser exploit for some reason, then it's slightly helpful.
    I just want to say that instead of using Haxchi, you should really upgrade to CBHC, it's much more helpful, and it doesn't brick too easily.
     
  11. Alvyssy

    Alvyssy Member

    Newcomer
    11
    0
    Aug 17, 2017
    Italy
    Ok, I was dumb enough to downgrade without haxchi installed and now my browser won't start, what should I do?
     
  12. ShadowOne333

    ShadowOne333 GBAtemp Guru

    Member
    6,856
    4,346
    Jan 17, 2013
    Mexico
    You don't have haxchi nor CBHC installed and you downgraded the browser?
    Afaik there is no way you can access the browser now, as you need signature patches enabled to even boot the Browser after the downgrade.
    Also, I'm not even sure if there is any other exploit besides the browser one.

    I "think" there is one for Sm4sh, but I'm not sure if it was even a thing or not.
     
  13. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,050
    8,571
    Oct 27, 2002
    France
    Engine room, learning
    you downgraded the browser, or the movie player?

    if you downgraded the browser, if that's even possible, force a firmware update and it will replace the old browser version with the latest.
    But, as you posted in this thread which is about replacing the movie player only while keeping the browser to latest version, I suppose you are in this situation and you can't fix it if it doesn't launch.

    I wonder what you did to prevent it from launching.
    Did you touch any other files while using ftpiiu ?


    You could fix it and install haxchi if you have your OTP/SEEPROM dump.
     
    Last edited by Cyan, Aug 17, 2017
  14. ShadowOne333

    ShadowOne333 GBAtemp Guru

    Member
    6,856
    4,346
    Jan 17, 2013
    Mexico
    I assume he did the mplayer downgrade without Haxchi installed beforehand, and since the downgrade requires you to launch sigpatch before entering the browser, that's what's keeping him from entering it.
     
  15. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,050
    8,571
    Oct 27, 2002
    France
    Engine room, learning
    ahh, yes, I forgot about that. now we can run homebrew again on 5.5.2 without having haxchi installed.
    sorry.

    Maybe I should add a warning to the first post.

    edit:
    I added a big warning at the top of the first post.
    I hope it will prevent other users doing the same thing.
    the guide did warn that you required Haxchi or CBHC, but I guess you thought it was only an entry point and not a necessity for using it.

    Sorry for your WiiU state :(
    Do you have OTP/SEEPROM dump?
     
    Last edited by Cyan, Aug 17, 2017
  16. Razor83

    Razor83 GBAtemp Regular

    Member
    277
    73
    Dec 23, 2009
    Is there any chance the Crunchyroll hax will be released? Perhaps that could be used to repair the browser?
     
  17. Cyan

    Cyan GBATemp's lurking knight

    Global Moderator
    18,050
    8,571
    Oct 27, 2002
    France
    Engine room, learning
    I always thought the crunchyroll was a joke. is that a real thing? I never took that one seriously.
    I knew the new webhack 5.5.2 was real on first post, I'm not that sure about crunchyroll's exploit rumor. but maybe I'm wrong.
     
  18. ShadowOne333

    ShadowOne333 GBAtemp Guru

    Member
    6,856
    4,346
    Jan 17, 2013
    Mexico
    Afaik it's not released, so users on 5.5.2 are locked into using the newest 5.5.2 exploit for the browser, which is prone to crash the system and not highly reliable, but it should get the job done to install Haxchi once you get it running.
     
  19. Create_
    OP

    Create_ GBAtemp Regular

    Member
    101
    64
    Jul 10, 2017
    United States
    (insert wacky and amusing place here)
    Actually, I've created a new browser exploit page that does it prettyyyy well. http://sleepii.ovh
     
  20. ShadowOne333

    ShadowOne333 GBAtemp Guru

    Member
    6,856
    4,346
    Jan 17, 2013
    Mexico
    That still doesn't help the guy who can't enter the browser due to downgrading the player thing :P
    His only hope if Crunchyhax, if that even is a thing.